backend:
  #name: test-repo
  name: gitlab
  branch: master
  repo: lq/cmscenter
  auth_type: implicit
  app_id: 25e7dca1513e953f83551bd12693295d2aecbed160b7072b2327ff601bc73a8d
 # secret e86445cbae7d5dcf262dbf4128c53003d4b1242e8c97d10fa08f28a38a21a924
  api_root: https://git.gaorongvc.cn/api/v4
  base_url: https://git.gaorongvc.cn
  authENdpoint: oauth/authorize
media_folder: static/img
collections:
  - name: "frontPage"
    label: "frontPage"
    files:
      - label: "frontPage"
        name: "frontPage"
        file: "content/frontpage.md"
        fields:
          - name: categories
            label: Categories
            widget: categories
            separator: __
          - { label: "RollImage1", name: "rollimage1", widget: "image" }
          - { label: "RollImage2", name: "rollimage2", widget: "image", required: false }
          - { label: "RollImage3", name: "rollimage3", widget: "image", required: false }
          - label: 'Bigevent'
            name: "bigevent"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Tag", name: "tag", widget: "string" }
              - { label: "buttonText", name: "btnText", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string" , required: false }
          - label: "Ronghui"
            name: "ronghui"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "SubTitle", name: "subTitle", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
          - { label: "人才招聘图", name: "hireImage", widget: "image", required: false }
          - label: "PR"
            name: "pr"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "SubTitle", name: "subTitle", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
          - { label: "研究智库图", name: "researchImage", widget: "image", required: false }
          - { label: "生态服务图", name: "shengtaiImage", widget: "image", required: false }

  - name: "ronghuiPage"
    label: "ronghuiPage"
    files:
      - label: "ronghuiPage"
        name: "ronghuiPage"
        file: "content/ronghuipage.md"
        fields:
          - { label: "RollImage1", name: "rollimage1", widget: "image" }
          - { label: "RollImage2", name: "rollimage2", widget: "image", required: false }
          - { label: "RollImage3", name: "rollimage3", widget: "image", required: false }
          - { label: "HotTitle", name: "hotTitle", widget: "string" }
          - { label: "HotSubTitle", name: "hotSubTitle", widget: "string" }
          - { label: "HotCover", name: "hotCover", widget: "image" }
          - { label: "HotJumpUrl", name: "hotJumpUrl", widget: "string" , required: false }
          - { label: "JoinPic", name: "joinPic", widget: "image" }
          - label: "实战沙龙"
            name: "shizhan"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "SubTitle", name: "subTitle", widget: "string" }
              - { label: "Author", name: "author", widget: "string" }
              - { label: "AuthorTitle", name: "authorTitle", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
              - label: "Type"
                name: "type"
                widget: "select"
                options: ["战略", "组织", "增长", "资本市场", "行业"]
          - label: "行业探讨"
            name: "industry"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
          - label: "平台参访"
            name: "visit"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "SubTitle", name: "subTitle", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "logo", name: "logo", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
          - label: "深度增长营"
            name: "camp"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - label: "SubTitle, no mark"
                name: "subTitle"
                widget: list
                fields:
                  - { label: "Title", name: "title", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }



  - name: "hrPage"
    label: "hrPage"
    files:
      - label: "hrPage"
        name: "hrPage"
        file: "content/hrpage.md"
        fields:
          - { label: "RollImage1", name: "rollimage1", widget: "image" }
          - { label: "RollImage2", name: "rollimage2", widget: "image", required: false }
          - { label: "RollImage3", name: "rollimage3", widget: "image", required: false }
          - { label: "hotHireImage", name: "hotHireImage", widget: "image"}
          - { label: "最新推荐入职", name: "recentImage", widget: "image"}
          - label: "最新推荐入职文章"
            name: "article"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
  - name: "prPage"
    label: "prPage"
    files:
      - label: "prPage"
        name: "prPage"
        file: "content/prpage.md"
        fields:
          - { label: "RollImage1", name: "rollimage1", widget: "image" }
          - { label: "RollImage2", name: "rollimage2", widget: "image", required: false }
          - { label: "RollImage3", name: "rollimage3", widget: "image", required: false }
        
          - label: "最新服务案例"
            name: "article"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "SubTitle", name: "subTitle", widget: "string" }
              - { label: "Tag", name: "tag", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
          - { label: "服务案例图片", name: "caseImage", widget: "image"}
          - label: "榕问CEO"
            name: "askCEO"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Description", name: "description", widget: "string" }
              - { label: "Cover", name: "cover", widget: "image" }
              - { label: "Avatar", name: "logo", widget: "image" }
              - { label: "JumpUrl", name: "jumpUrl", widget: "string", required: false  }
  - name: "shengtaiPage"
    label: "shengtaiPage"
    files:
      - label: "shengtaiPage"
        name: "shengtaiPage"
        file: "content/stpage.md"
        fields:
          - { label: "RollImage1", name: "rollimage1", widget: "image" }
          - { label: "RollImage2", name: "rollimage2", widget: "image", required: false }
          - label: "高榕生态企业服务"
            name: "qiyeImage"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "Pic", name: "pic", widget: "image" }
          - { label: "平台资源", name: "pingtaiImage", widget: "image"}
        

  - name: "article"
    label: "article"
    sortable_fields: ['type', 'title','createDate', 'highLight','source']
    create: true
    identifier_field: name
    folder: "content/article"
    summary: "{{title}} {{createDate}}"
    fields:
          - { label: "Title", name: "title", widget: "string" }
          - { label: "type", name: "type", widget: "string", required: false}
          - { label: "createDate", name: "createDate", widget: "datetime" }
          # - { label: "Abstract", name: "abstract", widget: "text", required: false }
          - { label: "content", name: "content", widget: "markdown"}
          # - { label: "coverpic", name: "coverpic", widget: "image", required: false }
          # - { label: "video", name: "video", widget: "image", required: false }
          # - { label: "videoPoster", name: "videoPoster", widget: "image", required: false }


  # - label: "RonghuiPage"
  #   name: "ronghui"
  #   create: true
  #   identifier_field: name
  #   folder: "content/linkarticle"
  #   summary: "{{title}} {{createDate}}"
  #   widget: list
  #   fields:
  #     - label: "Category"
  #       name: "title"
  #       widget: "select"
  #       options: ["战略", "组织", "增长", "资本市场", "行业"]
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "SubTitle", name: "subTitle", widget: "string" }
  #     - { label: "Author", name: "author", widget: "string" }
  #     - { label: "AuthorTitle", name: "authorTitle", widget: "string" }
  #     - { label: "Cover", name: "cover", widget: "image" }
  #     - { label: "JumpUrl", name: "jumpUrl", widget: "string" }